package org.springblade.modules.sqjw.sydw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.modules.sqjw.sydw.pojo.entity.CyryEntity;
import org.springblade.modules.sqjw.sydw.pojo.vo.UserVO;

import java.util.List;

public interface CyryMapper extends BaseMapper<CyryEntity> {

	boolean updatezxById(CyryEntity cyryEntity);

	List<CyryEntity> selectCyryByXydm(String tyshxydm);

	CyryEntity selectCyryBySfzh(String gmsfhm);

	String getFwxzByRkDzxx(String dzbm);

	void updateCyry(CyryEntity cyryEntity);

    UserVO djxx(Long userId);
}
